Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Visibility<DefId>;

## Aliased Type§

    pub enum Value<'tcx> {
        Public,
        Restricted(DefId),
    }

## Variants§

§

### Public

Visible everywhere (including in other crates).

§

### Restricted(DefId)

Visible only in the given crate-local module.

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.